Bug 130644 - (IT_49669) Mozilla 1.4.3 displays spurious "Download error" dialog boxes when saving images
Mozilla 1.4.3 displays spurious "Download error" dialog boxes when saving images
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-08-23 08:50 EDT by Barry K. Nathan
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-08 07:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2004-08-23 08:50:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
When the RHEL Mozilla packages were updated from 1.4.2 to 1.4.3, a
strange bug with image downloads/saves was introduced. See "Actual
Results", below, for more detailed information. This bug has appeared
on both RHEL 3WS and 2.1WS. (WS is the only RHEL variant which I have
been using in the recent past.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Mozilla.
2. Visit <http://www.redhat.com/>.
3. Right-click on the Red Hat logo in the upper-left corner of the page.
4. Choose "Save Image As..."
5. Save the image somewhere.
6. (Optional) Use, say, eog or ee to view the saved image file and
make sure it was really saved properly.

(In the above instructions, I just picked the Red Hat logo as an
example. For me it seems to happen with *any* image file on *any* web

Actual Results:  At least once (and possibly more often than that), a
dialog box appears as follows: The title in the window bar is
"Download Error". The body of the dialog box is "www.redhat.com", and
to the left of that there is a yellow triangle with an exclamation
point. There is only one button in the dialog box, "OK". Once the
download finishes, it is listed as "Failed" in the Download Manager,
and the "Transferred" column says "0KB of  0KB". However, the image
file seems to be fully downloaded and views properly in eog or ee.

(This is what happens with 1.4.3-3.0.2 or 1.4.3-2.1.2.)

Expected Results:  Image gets saved successfully, with no extra dialog
boxes or false "Failure" reports in the Download Manager. (This is the
situation with 1.4.2-3.0.2 or 1.4.2-2.1.0.)

Additional info:

Only the Mozilla packages need to be changed to make the problem
appear or disappear. (A fresh RHEL 3WS U2 install works, but applying
just the mozilla errata makes it fail. A fresh RHEL 2.1WS U5 install
fails, but downgrading just the mozilla packages to the U4 packages
makes it work.) However, I have also observed this on RHEL 3WS U2
systems which have *all* errata applied.

Workaround: Instead of directly saving the image within Mozilla,
copy-and-paste the URL into a wget command line in a terminal window.
Comment 1 Barry K. Nathan 2004-09-18 06:04:44 EDT
Hmmm... I just hit this bug on Mozilla 1.6-12.1.100mdk, on Mandrake
10.0. Just mentioning this for what it's worth; it would still be good
if this bug could be fixed on RHEL 3 at some point...
Comment 2 Barry K. Nathan 2004-10-05 19:48:05 EDT
Still happens with 1.4.3-3.0.4 (on RHEL 3U3 WS).
Comment 3 Ian Laurie 2004-11-07 23:16:55 EST
This bug is driving me nuts.

Only happens when saving images, other file downloads seem to work OK.
 Generally I get 4 or more dialog boxes coming up, each one needs to
be cleared in order for the download to proceed.

I'm running RHEL 3WS Update 3 will all patches/erratas.
Comment 4 Martin Kessler 2004-11-08 01:34:26 EST
Yup, same in Fedora Core 1 when legacy update for 1.4.3 was released.
Error message pop's up at least once, sometimes multiple times.
Download manager either shows "failed" or the download progress bar.
File seems to be downloaded complete though, views just fine with any
Comment 5 Göran Uddeborg 2004-11-08 11:07:02 EST
Apropos comment 3 and this happening only to certain files.  My
impression is that it is file size dependent.  There is a message for
every 64 kB downloaded.  (Do an "ls -l" on the file at each message to
see if it happens to you too.)  I've definitely seen it for PDF files,
so it is at least not only image files.
Comment 6 Peter Collinson 2005-01-27 09:10:44 EST
This is also failing for ES 3 - mozilla-1.4.3-3.0.7.
Comment 7 Peter Collinson 2005-01-27 09:29:30 EST
Another viable workaround is to install Firefox - which seems to
download images just fine.
Comment 8 Christopher Blizzard 2005-01-27 10:43:54 EST
-> caillon
Comment 9 Alessandro Volpi 2005-02-10 09:22:48 EST
I have used mozilla Red Hat/1.4.3-3.0.7 on a freshly installed RHEL3U4 system.

After 3 weeks something "got broken" in the program and I began to observe the bug.

Clearing the mozilla cache fixes the bug for the next dowload, but further
downloads will still result in errors.

I have observed the same bug on Fedora Core 1, with a Mozilla 1.4.x version. The
fix was to install mozilla 1.7.5, downloaded from the mozilla site. 
Comment 10 Christopher Aillon 2005-04-29 13:53:36 EDT
RHEL 3 now has Mozilla 1.7.7 which according to comment 9 should fix this issue,
and indeed, I don't see the problem with the 1.7.7 RPM.  Moving to MODIFIED.
Comment 11 Barry K. Nathan 2005-04-29 19:08:14 EDT
Ok, I will retest later today (or tomorrow if something catastrophic keeps me
from getting to it today).
Comment 12 Barry K. Nathan 2005-05-03 05:47:08 EDT
A family emergency has kept me from retesting, but I'll do it in the next few days.
Comment 13 Barry K. Nathan 2005-05-08 07:51:42 EDT
Ok, I've retested, and yes the bug is fixed in the Mozilla errata. Thanks!

Note You need to log in before you can comment on or make changes to this bug.